---
title: FontFaceSetLoadEvent.fontfaces
slug: Web/API/FontFaceSetLoadEvent/fontfaces
tags:
  - API
  - CSSFontLoading
  - CSSOM
  - Experimental
  - FontFaceLoadEvent
  - Fonts
  - Property
  - Reference
  - fontfaces
---
<p>{{SeeCompatTable}}{{APIRef("CSS Font Loading API")}}</p>

<p>The <strong><code>fontfaces</code></strong> read-only property of the {{domxref("FontFaceSetLoadEvent")}} interface returns an array of {{domxref("FontFace")}} instances, each of which represents a single usable font.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var fontFace[] = FontFaceSetLoadEvent.fontfaces</pre>

<h3 id="Value">Value</h3>

<p>An array of {{domxref("FontFace")}} instance.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Font Loading','#dom-fontfacesetloadevent-fontfaces','fontfaces')}}</td>
   <td>{{Spec2('CSS3 Font Loading')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.FontFaceSetLoadEvent.fontfaces")}}</p>
</div>
